%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %name -d

Name:           waylandpp
Version:        1.0.0
Release:        %mkrel 3
Summary:        Wayland C++ bindings
Group:          Development/C++
License:        BSD and MIT and GPLv3+
URL:            https://github.com/NilsBrause/waylandpp/
Source0:        https://github.com/NilsBrause/waylandpp/archive/%{version}/waylandpp-%{version}.tar.gz
Patch1:         0001-add-missing-cstdint-include.patch
Patch2:         0001-Fix-build-with-cmake-4.patch
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  mesaegl-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(pugixml)

%description
Wayland is an object oriented display protocol, which features request and
events. Requests can be seen as method calls on certain objects, whereas
events can be seen as signals of an object. This makes the Wayland protocol
a perfect candidate for a C++ binding.

The goal of this library is to create such a C++ binding for Wayland using
the most modern C++ technology currently available, providing an easy to use
C++ API to Wayland.

%package -n %{libname}
Summary:        Library files for %{name}
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{libname}
The %{libname} package contains library files for %{name}.

%package -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description doc
The %{name}-doc package contains development documentation for %{name}.

%prep
%autosetup -p1

%build
%cmake -DCMAKE_INSTALL_DOCDIR=%{_defaultdocdir}/%{name}-doc/
%cmake_build

%install
%cmake_install

# Drop LaTeX documentation (HTML documentation is already built)
rm -r %{buildroot}%{_defaultdocdir}/%{name}-doc/latex/

%check
%ctest

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%doc example/
%{_bindir}/wayland-scanner++
%{_libdir}/*.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/%{name}/
%{_mandir}/man3/*.3.*

%files doc
%doc README.md
%license LICENSE
%{_defaultdocdir}/%{name}-doc/


%changelog
* Sun Jun 29 2025 daviddavid <daviddavid> 1.0.0-3.mga10
+ Revision: 2223267
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild
+ wally <wally>
- add more provides

* Wed May 08 2024 wally <wally> 1.0.0-2.mga10
+ Revision: 2062895
- add patch to fix build with gcc >= 13

* Wed Apr 27 2022 kekepower <kekepower> 1.0.0-1.mga9
+ Revision: 1854688
- Update to version 1.0.0

* Thu Apr 14 2022 kekepower <kekepower> 0.2.10-1.mga9
+ Revision: 1849765
- Update to version 0.2.10

* Thu Mar 31 2022 umeabot <umeabot> 0.2.8-3.mga9
+ Revision: 1836820
- Mageia 9 Mass Rebuild

* Thu Oct 29 2020 kekepower <kekepower> 0.2.8-2.mga8
+ Revision: 1640540
- Fix a Provides that was missing

* Thu Oct 29 2020 kekepower <kekepower> 0.2.8-1.mga8
+ Revision: 1640534
- imported package waylandpp

